[Plug-In] Community Applications


Recommended Posts

2 hours ago, Squid said:

But, even with the error causing that fixed, it's not a valid template (and causing the error you're seeing) because of @FlippinTurt manually editing the template to add in extra path mappings, but doing it incorrectly.

 

Makes sense, I figured it would be something like that, but it asked that I post the message here so I looked first and nobody else had, didn't want to ignore the message ;) haha.

 

Thanks Squid!

Link to comment
16 hours ago, CorneliousJD said:

When trying to install Hastebin I get the following.

 


Something really wrong went on during createXML
Post the ENTIRE contents of this message in the Community Applications Support Thread

<br /> <b>Warning</b>: explode() expects parameter 2 to be string, array given in <b>/usr/local/emhttp/plugins/community.applications/include/exec.php</b> on line <b>1582</b><br /> <br /> <b>Warning</b>: array_filter() expects parameter 1 to be array, null given in <b>/usr/local/emhttp/plugins/community.applications/include/exec.php</b> on line <b>1582</b><br /> <br /> <b>Warning</b>: array_values() expects parameter 1 to be array, null given in <b>/usr/local/emhttp/plugins/community.applications/include/exec.php</b> on line <b>1582</b><br /> {"status":"ok","cache":null}

 

 

7 hours ago, Squid said:

But, even with the error causing that fixed, it's not a valid template (and causing the error you're seeing) because of @FlippinTurt manually editing the template to add in extra path mappings, but doing it incorrectly.

Sorry team - should be all sorted now 

  • Thanks 1
Link to comment

Question for you guys about Community Applications. 

 

So I use a bunch of hotio containers. Recently he updated all the paths to the icon images in his template. Is there a way to get that change to happen automatically. Or is the only option only to update the path in each template manually or remove all the containers and delete the templates and re-pull it from the app store?

 

If this is not a feature to happen with 'non-impact' changes to templates could it be?

Link to comment

@hotio sets his templates to not update at the same time as any container updates are issued.  (That isn't a problem)

 

Because of this to update the icons, you'll have to edit the container, switch to advanced view and adjust the IconURL accordingly.

Link to comment

Been getting this error since I started using 6.9 RC1:

 

Quote

The author (or moderators of Community Applications) of the plugin template (https://raw.githubusercontent.com/Skitals/unraid-vfio-pci/master/plugins/vfio.pci.plg) has specified that this plugin is incompatible with your version of unRaid (6.9.1). You should uninstall the plugin here: Minimum OS Version: 6.7.0 Maximum OS Version: 6.9.0-beta1

 

VFIO-PCI CFG has been working fine and is working fine for me in 6.9.1 official release.

 

Thanks,

craigr

Link to comment
3 minutes ago, craigr said:

Been getting this error since I started using 6.9 RC1:

 

 

VFIO-PCI CFG has been working fine and is working fine for me in 6.9.1 official release.

 

Thanks,

craigr

It's included (in a much improved way) with the Base OS.  That's why its marked as being incompatible and highly advised to remove it.

  • Thanks 1
Link to comment
34 minutes ago, Squid said:

It's included (in a much improved way) with the Base OS.  That's why its marked as being incompatible and highly advised to remove it.

 

6 minutes ago, ljm42 said:

Tools -> System Devices.  Here are the relase notes for 6.9:  https://wiki.unraid.net/Unraid_OS_6.9.0#Virtualization

 

Wow, that is great.  It really is better implementation too and one less plugin to worry about.

 

Thanks again,

craigr

  • Like 1
Link to comment

hi am trying to install the plugin and am get

 

plugin: installing: https://raw.githubusercontent.com/Squidly271/community.applications/master/plugins/community.applications.plg/
plugin: downloading https://raw.githubusercontent.com/Squidly271/community.applications/master/plugins/community.applications.plg/
plugin: downloading: https://raw.githubusercontent.com/Squidly271/community.applications/master/plugins/community.applications.plg/ ... failed (Network failure)
plugin: https://raw.githubusercontent.com/Squidly271/community.applications/master/plugins/community.applications.plg/ download failure (Network failure)

 

whats causing this?

Link to comment

Hi everybody.

Is it possible that the download link is offline?

The link copied to browser says: 

500: Internal Server Error

 

Thx

Chris

 

plugin: installing: https://raw.githubusercontent.com/Squidly271/community.applications/master/plugins/community.applications.plg
plugin: downloading https://raw.githubusercontent.com/Squidly271/community.applications/master/plugins/community.applications.plg
plugin: downloading: https://raw.githubusercontent.com/Squidly271/community.applications/master/plugins/community.applications.plg ... failed (Invalid URL / Server error response)
plugin: https://raw.githubusercontent.com/Squidly271/community.applications/master/plugins/community.applications.plg download failure (Invalid URL / Server error response)

Link to comment
4 minutes ago, Chris160179 said:

Internet works fine.

If i use "https://raw.githubusercontent.com" in browser im redirected to "https://github.com".

Github works, but githubusercontent not!

 

Maybe it is a problem with german Servers?

 

THX

German in germany here, getting on 6.9.1:

plugin: updating: community.applications.plg

Cleaning Up Old Versions
Fixing pinned apps
Setting up cron for background notifications

plugin: downloading: https://raw.githubusercontent.com/Squidly271/community.applications/master/archive/community.applications-2021.03.10-x86_64-1.txz ... failed (Invalid URL / Server error response)
plugin: https://raw.githubusercontent.com/Squidly271/community.applications/master/archive/community.applications-2021.03.10-x86_64-1.txz download failure (Invalid URL / Server error response)

other than that (not updating the community plugin and, as I suppose others as well - checking for docker updates took really long) the system works fine.
Can't ping but should ur be able to do so?

Linux 5.10.21-Unraid.
root@Unraid:~# ping https://raw.githubusercontent.com/
ping: https://raw.githubusercontent.com/: Name or service not known
root@Unraid:~# ping https://heise.de
ping: https://heise.de: Name or service not known

 

Link to comment
1 hour ago, jabonline said:

I'm posting debug info

Wow.  Thank you for figuring out how to enable that. :) 

 

You managed to download the 1st file (44 bytes) from GitHub, but then your system failed to download the main file (~8MB) from both the primary server (GitHub) and the secondary (amazonaws).  Not sure what to say, since it *appears* that the system has internet access.  What happens if you do this from the command line

 

wget https://raw.githubusercontent.com/Squidly271/AppFeed/master/applicationFeed.json -O /tmp/test

 

Link to comment
1 hour ago, Squid said:

Wow.  Thank you for figuring out how to enable that. :) 

 

You managed to download the 1st file (44 bytes) from GitHub, but then your system failed to download the main file (~8MB) from both the primary server (GitHub) and the secondary (amazonaws).  Not sure what to say, since it *appears* that the system has internet access.  What happens if you do this from the command line

 


wget https://raw.githubusercontent.com/Squidly271/AppFeed/master/applicationFeed.json -O /tmp/test

 

I did a bunch of things, so not exactly sure what fixed it. Anyways moved appdata to cache from disk2. Deleted docker.img and recreated it. Removed/Reinstalled CA Apps plugin. I was then able to go to previous apps and reinstall them all. Everything seems to be working now.

Link to comment

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.